# Class CollectQualityYieldMetricsFlow.QualityYieldMetricsCollectorFlow

java.lang.Object
picard.analysis.CollectQualityYieldMetricsFlow.QualityYieldMetricsCollectorFlow

Enclosing class:
  `CollectQualityYieldMetricsFlow`

public class CollectQualityYieldMetricsFlow.QualityYieldMetricsCollectorFlow extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`includeSupplementalAlignments`

## Constructor Summary

Constructors
Constructor
Description
`QualityYieldMetricsCollectorFlow(boolean includeSecondaryAlignments, boolean includeSupplementalAlignments, FlowBasedArgumentCollection fbargs)`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptRecord(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)`
`void`
`addHistograms(htsjdk.samtools.metrics.MetricsFile<CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow, Integer> metricsFile)`
`void`
`addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow, Integer> metricsFile)`
`void`
`finish()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### includeSupplementalAlignments

public final boolean includeSupplementalAlignments

## Constructor Details

### QualityYieldMetricsCollectorFlow

public QualityYieldMetricsCollectorFlow(boolean includeSecondaryAlignments, boolean includeSupplementalAlignments, FlowBasedArgumentCollection fbargs)

## Method Details

### acceptRecord

public void acceptRecord(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)

### finish

public void finish()

### addMetricsToFile

public void addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow, Integer> metricsFile)

### addHistograms

public void addHistograms(htsjdk.samtools.metrics.MetricsFile<CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow, Integer> metricsFile)